<?xml version="1.0" encoding="UTF-8" ?>

<!--
IGAC proyecto SNC

@author 		david.cifuentes
@version 		1.0
@description 	Pantalla para visualizar las inconsistencias espaciales asociadas a los predios del trámite.
@cu				CU-NP-CO-186 - Ajustar información espacial.
            
-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="detalleInconsistenciasGeoForm">

    <p:spacer width="10" />

    <h:panelGrid columns="1" cellpadding="5" cellspacing="5" width="100%">
        <p:fieldset>
            <p:messages id="msgsDetalleInconsistenciasGeo" />

            <p:dataTable var="inconsistencia"
                         value="#{tramiteParam.tramiteInconsistencias}"
                         rowKey="#{inconsistencia.id}" paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                         emptyMessage="No existen inconsistencias geográficas para el trámite seleccionado.">

                <p:column headerText="Tipo">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{inconsistencia.tipo}" />
                </p:column>

                <p:column headerText="Descripción">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{inconsistencia.inconsistencia}" />
                </p:column>

                <p:column headerText="No. Predio">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{inconsistencia.numeroPredial}" />
                </p:column>

            </p:dataTable>
            <p:spacer height="10" />

            <p:outputPanel layout="block" style="text-align:right">
                <p:spacer width="10" />
                <p:commandButton value="Cerrar"
                                 icon="ui-icon-close"
                                 oncomplete="detalleInconsistenciasGeoWV.hide();" />
            </p:outputPanel>
            <p:spacer width="10" />
        </p:fieldset>
    </h:panelGrid>
</h:form>

